apiVersion: apps/v1
kind: Deployment
metadata:
  name: mushroom-backend
spec:
  replicas: 3
  selector:
    matchLabels:
      app: mushroom-backend
  template:
    metadata:
      labels:
        app: mushroom-backend
    spec:
      containers:
      - name: mushroom-backend
        image: windymuse/mushroom-backend:2
        ports:
        - containerPort: 8080
